Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -21,4 +21,5 @@
 
 #include "CommandLineUI/CommandLineDialog.hpp"
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 
 
Index: src/UIElements/CommandLineUI/CommandLineDialog.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -48,129 +48,22 @@
 protected:
   // specialized stuff for text queries
-  class EmptyCommandLineQuery : public Dialog::EmptyQuery {
-  public:
-    EmptyCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~EmptyCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class IntCommandLineQuery : public Dialog::IntQuery {
-  public:
-    IntCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~IntCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class IntsCommandLineQuery : public Dialog::IntsQuery {
-  public:
-    IntsCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~IntsCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class BooleanCommandLineQuery : public Dialog::BooleanQuery {
-  public:
-    BooleanCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~BooleanCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class DoubleCommandLineQuery : public Dialog::DoubleQuery {
-  public:
-    DoubleCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~DoubleCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class DoublesCommandLineQuery : public Dialog::DoublesQuery {
-  public:
-    DoublesCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~DoublesCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class StringCommandLineQuery : public Dialog::StringQuery {
-  public:
-    StringCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~StringCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class StringsCommandLineQuery : public Dialog::StringsQuery {
-  public:
-    StringsCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~StringsCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class AtomCommandLineQuery : public Dialog::AtomQuery {
-  public:
-    AtomCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~AtomCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class AtomsCommandLineQuery : public Dialog::AtomsQuery {
-  public:
-    AtomsCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~AtomsCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class MoleculeCommandLineQuery : public Dialog::MoleculeQuery {
-  public:
-    MoleculeCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~MoleculeCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class MoleculesCommandLineQuery : public Dialog::MoleculesQuery {
-  public:
-    MoleculesCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~MoleculesCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class VectorCommandLineQuery : public Dialog::VectorQuery {
-  public:
-    VectorCommandLineQuery(std::string title,bool _check, std::string _description = "");
-    virtual ~VectorCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class VectorsCommandLineQuery : public Dialog::VectorsQuery {
-  public:
-    VectorsCommandLineQuery(std::string title,bool _check, std::string _description = "");
-    virtual ~VectorsCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class BoxCommandLineQuery : public Dialog::BoxQuery {
-  public:
-    BoxCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~BoxCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class ElementCommandLineQuery : public Dialog::ElementQuery {
-  public:
-    ElementCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~ElementCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class ElementsCommandLineQuery : public Dialog::ElementsQuery {
-  public:
-    ElementsCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~ElementsCommandLineQuery();
-    virtual bool handle();
-  };
-
-  class FileCommandLineQuery : public Dialog::FileQuery {
-  public:
-    FileCommandLineQuery(std::string title, std::string _description = "");
-    virtual ~FileCommandLineQuery();
-    virtual bool handle();
-  };
+  class AtomCommandLineQuery;
+  class AtomsCommandLineQuery;
+  class BooleanCommandLineQuery;
+  class BoxCommandLineQuery;
+  class DoubleCommandLineQuery;
+  class DoublesCommandLineQuery;
+  class ElementCommandLineQuery;
+  class ElementsCommandLineQuery;
+  class EmptyCommandLineQuery;
+  class FileCommandLineQuery;
+  class IntCommandLineQuery;
+  class IntsCommandLineQuery;
+  class MoleculeCommandLineQuery;
+  class MoleculesCommandLineQuery;
+  class StringCommandLineQuery;
+  class StringsCommandLineQuery;
+  class VectorCommandLineQuery;
+  class VectorsCommandLineQuery;
 };
 
Index: src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -24,6 +24,6 @@
 #include <Descriptors/AtomDescriptor.hpp>
 #include <Descriptors/AtomIdDescriptor.hpp>
-#include "CommandLineUI/CommandLineDialog.hpp"
 
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -22,6 +22,5 @@
 #include <Descriptors/AtomDescriptor.hpp>
 #include <Descriptors/AtomIdDescriptor.hpp>
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,7 +20,6 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
 #include "Actions/Values.hpp"
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp
===================================================================
--- src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
+++ src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -0,0 +1,139 @@
+/*
+ * CommandLineQuery.hpp
+ *
+ *  Created on: Nov 8, 2010
+ *      Author: heber
+ */
+
+#ifndef COMMANDLINEQUERY_HPP_
+#define COMMANDLINEQUERY_HPP_
+
+#include "CommandLineUI/CommandLineDialog.hpp"
+
+class CommandLineDialog::EmptyCommandLineQuery : public Dialog::EmptyQuery {
+public:
+  EmptyCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~EmptyCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::IntCommandLineQuery : public Dialog::IntQuery {
+public:
+  IntCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~IntCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::IntsCommandLineQuery : public Dialog::IntsQuery {
+public:
+  IntsCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~IntsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::BooleanCommandLineQuery : public Dialog::BooleanQuery {
+public:
+  BooleanCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~BooleanCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::DoubleCommandLineQuery : public Dialog::DoubleQuery {
+public:
+  DoubleCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~DoubleCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::DoublesCommandLineQuery : public Dialog::DoublesQuery {
+public:
+  DoublesCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~DoublesCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::StringCommandLineQuery : public Dialog::StringQuery {
+public:
+  StringCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~StringCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::StringsCommandLineQuery : public Dialog::StringsQuery {
+public:
+  StringsCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~StringsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::AtomCommandLineQuery : public Dialog::AtomQuery {
+public:
+  AtomCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~AtomCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::AtomsCommandLineQuery : public Dialog::AtomsQuery {
+public:
+  AtomsCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~AtomsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::MoleculeCommandLineQuery : public Dialog::MoleculeQuery {
+public:
+  MoleculeCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~MoleculeCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::MoleculesCommandLineQuery : public Dialog::MoleculesQuery {
+public:
+  MoleculesCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~MoleculesCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::VectorCommandLineQuery : public Dialog::VectorQuery {
+public:
+  VectorCommandLineQuery(std::string title,bool _check, std::string _description = "");
+  virtual ~VectorCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::VectorsCommandLineQuery : public Dialog::VectorsQuery {
+public:
+  VectorsCommandLineQuery(std::string title,bool _check, std::string _description = "");
+  virtual ~VectorsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::BoxCommandLineQuery : public Dialog::BoxQuery {
+public:
+  BoxCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~BoxCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::ElementCommandLineQuery : public Dialog::ElementQuery {
+public:
+  ElementCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~ElementCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::ElementsCommandLineQuery : public Dialog::ElementsQuery {
+public:
+  ElementsCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~ElementsCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::FileCommandLineQuery : public Dialog::FileQuery {
+public:
+  FileCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~FileCommandLineQuery();
+  virtual bool handle();
+};
+
+#endif /* COMMANDLINEQUERY_HPP_ */
Index: src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -22,6 +22,5 @@
 #include <iostream>
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -22,6 +22,6 @@
 #include <Descriptors/MoleculeDescriptor.hpp>
 #include <Descriptors/MoleculeIdDescriptor.hpp>
-#include "CommandLineUI/CommandLineDialog.hpp"
 
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -22,6 +22,6 @@
 #include <Descriptors/MoleculeDescriptor.hpp>
 #include <Descriptors/MoleculeIdDescriptor.hpp>
-#include "CommandLineUI/CommandLineDialog.hpp"
 
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,6 +20,5 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -20,7 +20,6 @@
 #include "Helpers/MemDebug.hpp"
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
 #include "Actions/Values.hpp"
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
Index: src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 3a21a725fe8654c46053fbab3d721519872c4fa0)
+++ src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 1e086111afdb5ad88cee32c659e63cfd0cef4a02)
@@ -22,7 +22,6 @@
 #include <vector>
 
-#include "CommandLineUI/CommandLineDialog.hpp"
-
 #include "Actions/Values.hpp"
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
 #include "CommandLineUI/CommandLineParser.hpp"
 #include "Helpers/Log.hpp"
